lsb not installed

m_pav's picture

Version: 

  • MX-15

Tracker: 

  • Request

Status: 

  • Closed

Reason For Closing: 

  • No Action

Priority: 

  • Normal

Additional Information: 

Should we be including LSB with our default install? I have come across some software packages that require it and if I recall correctly, brother printer drivers are one of them. Also, while there, I recall a folder missing which is required for brother printer driver installation. We need to create an empty lpd folder in /var/spool/

Comments

brings a lot of junk

Comment: 

This is the output when installing lsb

[code]apt-get install lsb
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following extra packages will be installed:
  alien debhelper debugedit ed gcc-4.9-base:i386 gettext guile-2.0-libs
  intltool-debian libc6:i386 libgc1c2 libgcc1:i386 libgsasl7 libkyotocabinet16
  libmailutils4 libmysqlclient18 libntlm0 libpod-plainer-perl librpm3
  librpmbuild3 librpmio3 librpmsign1 libunistring0 lsb-core lsb-cxx
  lsb-desktop lsb-graphics lsb-invalid-mta lsb-languages lsb-multimedia
  lsb-printing lsb-security m4 mailutils mailutils-common mysql-common pax
  po-debconf rpm rpm-common rpm2cpio time zlib1g:i386
Suggested packages:
  lintian dh-make rpm-i18n gettext-doc glibc-doc:i386 locales:i386
  mailutils-mh mailutils-doc libmail-box-perl elfutils rpmlint rpm2html
Recommended packages:
  autopoint libasprintf-dev libgettextpo-dev libc6-i686:i386 libqt3-mt
  libmail-sendmail-perl
The following NEW packages will be installed:
  alien debhelper debugedit ed gcc-4.9-base:i386 gettext guile-2.0-libs
  intltool-debian libc6:i386 libgc1c2 libgcc1:i386 libgsasl7 libkyotocabinet16
  libmailutils4 libmysqlclient18 libntlm0 libpod-plainer-perl librpm3
  librpmbuild3 librpmio3 librpmsign1 libunistring0 lsb lsb-core lsb-cxx
  lsb-desktop lsb-graphics lsb-invalid-mta lsb-languages lsb-multimedia
  lsb-printing lsb-security m4 mailutils mailutils-common mysql-common pax
  po-debconf rpm rpm-common rpm2cpio time zlib1g:i386
0 upgraded, 43 newly installed, 0 to remove and 0 not upgraded.
Need to get 21.8 MB of archives.
After this operation, 53.2 MB of additional disk space will be used.
Do you want to continue? [Y/n][/code]

Are they all really needed?

Xubuntu comes with lsb-base. Manjaro xfce doesn't come with any lsb packages.

Closing since we will not

Comment: 

Closing since we will not ship with lsb